<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <script>
      function Forma(id) {
          this.id = id;
        }

        Forma.prototype.gritar = function () {
            console.log("yep");
          }

          function Cuadrado(id,ladoA,ladoB,ladoC,ladoD){
              Forma.call(this,id);
              this.ladoA=ladoA;
              this.ladoB=ladoB;
              this.ladoC=ladoC;
              this.ladoD=ladoD;
          }

          Cuadrado.prototype=Object.create(Forma.prototype);

          Cuadrado.prototype.getLados = function () {
              return [this.ladoA,this.ladoB,this.ladoC,this.ladoD];
            }

            const instanciaCuadrado = new Cuadrado(1001,10,10,10,10);
            console.log(instanciaCuadrado);
            console.log(instanciaCuadrado.getLados());
            instanciaCuadrado.gritar();
    </script>
</body>
</html>